using Elasticsearch.Net;
using System;

namespace JiaZhiQuan.Common.ElasticSearch.Models
{
    public class ESSystemLog
    {
        [ESField("time")]
        public DateTime Time { get; set; }

        [ESField("stacktrace")]
        public string Stacktrace { get; set; }

        [ESField("machineName")]
        public string MachineName { get; set; }

        [ESField("level")]
        public string Level { get; set; }

        [ESField("logger")]
        public string Logger { get; set; }

        [ESField("message")]
        public string Message { get; set; }

        [ESField("applicationName")]
        public string ApplicationName { get; set; }

        [ESField("processid")]
        public int Processid { get; set; }
    }
}
